/* ======================================================================================================================================
  @author Grant McKenzie (grant.mckenzie@geog.ucsb.edu)
  @date 02/02/2014
  @project Project 2 
  @course MAT259
  @description This project shows the individual Dewey Classes for the books in the Seattle Public Library styled by check-out signature
  @file Mouse over magic
  ======================================================================================================================================== */
  
void update(int x, int y) {
  
  // Remember that pesky edge offset.  Translate for arrayList index
  int locy = ((x-10) / 11);
  int locx = ((y-10) / 60);
  int f = (locy*10)+locx;
  
  // Always remember the overwrite the previous text (add black box)
  fill(0);
  stroke(0);
  rect(10,600,800,100);
  fill(255);
  
  // Find the appropriate rectangle (based on mouse hover position) and show the text associated with it.
  for(int i=0;i<colorBlocks.size();i++) {
      if (int(colorBlocks.get(i)[2]) == f) {
        text("Dewey Class: "+colorBlocks.get(i)[1]+" ("+colorBlocks.get(i)[2] + ")",10,620);
      }
  }
}
